#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-Crypt-RC4
Version		:	2.02
Release		:	17.2.0.rel%{?dist}
Summary		:	Perl implementation of the RC4 encryption algorithm
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

BuildArch	:	noarch

#-----------------------------------------------------------------------------
BuildRequires	:	perl

Requires	:	perl

#-----------------------------------------------------------------------------
%description
A simple implementation of the RC4 algorithm, developed by
RSA Security, Inc. Here is the description from RSA's website:

RC4 is a stream cipher designed by Rivest for RSA Data Security
(now RSA Security). It is a variable key-size stream cipher with
byte-oriented operations. The algorithm is based on the use of a
random permutation. Analysis shows that the period of the cipher
is overwhelmingly likely to be greater than 10100. Eight to sixteen
machine operations are required per output byte, and the cipher
can be expected to run very quickly in software. Independent
analysts have scrutinized the algorithm and it is considered secure.

Based substantially on the "RC4 in 3 lines of perl" found at
http://www.cypherspace.org
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%{_datadir}/perl5/core_perl/Crypt/RC4.pm
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
